export declare enum Action {
    CREATE = "create",
    DESTROY = "destroy",
    REPLACE = "replace",
    UPDATE = "update",
    READ = "read",
}
export interface ChangedAttributesMap {
    [key: string]: ChangedAttribute;
}
export interface Changed {
    action: Action;
    type: string;
    name: string;
    changedAttributes: ChangedAttributesMap;
    newResourceRequired: boolean;
}
export declare enum AttributeValueType {
    UNKNOWN = "unknown",
    STRING = "string",
    COMPUTED = "computed",
}
export interface AttributeValue {
    type: AttributeValueType;
    value: string;
}
export interface ChangedAttribute {
    new: AttributeValue;
    old: AttributeValue;
    forcesNewResource: boolean;
}
export declare class ParseError {
    code: String;
    message: String;
}
export interface ParseResult {
    errors: Array<ParseError>;
    changedResources: Array<Changed>;
    changedDataSources: Array<Changed>;
}
export declare function parseStdout(logOutput: string): ParseResult;
